commit:     2be2c530e02346401efdfc9d97b8e9819092dbcd
Author:     Pascal Jäger <pascal.jaeger <AT> leimstift <DOT> de>
AuthorDate: Sun Sep 25 10:04:40 2022 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sat Oct  1 20:35:13 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2be2c530

app-arch/file-roller: Version bump to 43.0

Closes: https://github.com/gentoo/gentoo/pull/27446
Signed-off-by: Pascal Jäger <pascal.jaeger <AT> leimstift.de>
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 app-arch/file-roller/Manifest                |   1 +
 app-arch/file-roller/file-roller-43.0.ebuild | 103 +++++++++++++++++++++++++++
 profiles/package.mask                        |   1 +
 3 files changed, 105 insertions(+)

diff --git a/app-arch/file-roller/Manifest b/app-arch/file-roller/Manifest
index 38a18484688e..f80682d16604 100644
--- a/app-arch/file-roller/Manifest
+++ b/app-arch/file-roller/Manifest
@@ -1 +1,2 @@
 DIST file-roller-3.42.0.tar.xz 878968 BLAKE2B 
af3a8bb566a0549434f20911315358dbcfb98aab17ca47adaad166f620fc3b8cfc6b60301842a55a0d35ca29f6317b16d07497de759b55bc42b61100e7357066
 SHA512 
ad151e1dc6546ca45550ab4c7384fb89e91dc2fc17a29437922192fefd5cbcd115d1f064e090dac48ae3fca33709a54bac918cbe03cbfd0e6fc3554913dd8322
+DIST file-roller-43.0.tar.xz 894308 BLAKE2B 
85bf73947e153a3b40507e524c35f8be98a08a9ce5916e24ef44559400d7d44e4e0fbd94de8b5638fd1da967ff007894011624ccf9ad8c3481cac63aba3da6e5
 SHA512 
dff3d9ef5c96e5957fb4ca146072b5fdf0309299d0b1a4ab6db55e24a0652b52ba45915121db4d59d9b1ab60b4c3c64bbb56799a46a0eac5609236f4e1251837

diff --git a/app-arch/file-roller/file-roller-43.0.ebuild 
b/app-arch/file-roller/file-roller-43.0.ebuild
new file mode 100644
index 000000000000..4e7c42d54342
--- /dev/null
+++ b/app-arch/file-roller/file-roller-43.0.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnome.org gnome2-utils meson readme.gentoo-r1 xdg
+
+DESCRIPTION="Archive manager for GNOME"
+HOMEPAGE="https://wiki.gnome.org/Apps/FileRoller";
+
+LICENSE="GPL-2+ CC-BY-SA-3.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 
~amd64-linux ~x86-linux"
+IUSE="gtk-doc +introspection nautilus"
+REQUIRED_USE="gtk-doc? ( introspection )"
+
+# gdk-pixbuf used extensively in the source
+# cairo used in eggtreemultidnd.c
+# pango used in fr-window
+RDEPEND="
+       >=dev-libs/glib-2.38:2
+       >=x11-libs/gtk+-3.22.0:3
+       >=gui-libs/libhandy-1.5.0:1
+       nautilus? ( >=gnome-base/nautilus-43.0 )
+       >=dev-libs/json-glib-0.14
+       >=app-arch/libarchive-3.2:=
+       introspection? ( dev-libs/gobject-introspection )
+       x11-libs/cairo
+       x11-libs/gdk-pixbuf:2
+       x11-libs/pango
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       dev-util/glib-utils
+       dev-util/itstool
+       >=sys-devel/gettext-0.19.8
+       virtual/pkgconfig
+       gtk-doc? ( dev-util/gi-docgen )
+"
+
+DISABLE_AUTOFORMATTING="yes"
+DOC_CONTENTS="
+${PN} is a frontend for several archiving utilities. If you want a
+particular archive format support, see ${HOMEPAGE}
+and install the relevant package. For example:
+7-zip   - app-arch/p7zip
+ace     - app-arch/unace
+arj     - app-arch/arj
+brotli  - app-arch/brotli
+cpio    - app-arch/cpio
+deb     - app-arch/dpkg
+iso     - app-cdr/cdrtools
+jar,zip - app-arch/zip and app-arch/unzip
+lha     - app-arch/lha
+lzop    - app-arch/lzop
+lz4     - app-arch/lz4
+rar     - app-arch/unrar or app-arch/unar
+rpm     - app-arch/rpm
+unstuff - app-arch/stuffit
+zstd    - app-arch/zstd
+zoo     - app-arch/zoo"
+
+src_prepare() {
+       # File providing Gentoo package names for various archivers
+       cp -v "${FILESDIR}"/3.36-packages.match data/packages.match || die
+
+       default
+       xdg_environment_reset
+}
+
+src_configure() {
+       local emesonargs=(
+               -Drun-in-place=false
+               $(meson_feature nautilus nautilus-actions)
+               -Dnotification=enabled
+               -Duse_native_appchooser=false
+               -Dpackagekit=false
+               -Dlibarchive=enabled
+               $(meson_feature introspection)
+               $(meson_feature gtk-doc api_docs)
+       )
+       meson_src_configure
+}
+
+src_install() {
+       meson_src_install
+       if use gtk-doc; then
+               mkdir -p "${ED}"/usr/share/gtk-doc/ || die
+               mv "${ED}"/usr/share/doc/file-roller 
"${ED}"/usr/share/gtk-doc/file-roller || die
+       fi
+       readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+       gnome2_schemas_update
+       readme.gentoo_print_elog
+}
+
+pkg_postrm() {
+       xdg_pkg_postrm
+       gnome2_schemas_update
+}

diff --git a/profiles/package.mask b/profiles/package.mask
index fd2b8496bb51..4ea2ad75db93 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -422,6 +422,7 @@ sys-devel/automake:1.11
 # New major parallel-installable release which needs special care to not
 # end up loaded into the same process together with the earlier libsoup ABI.
 # Migration to it is expected for GNOME 42, NOT to be unmasked with GNOME 41.
+>=app-arch/file-roller-43
 >=dev-libs/gjs-1.74
 >=dev-libs/libgweather-4.2.0
 >=dev-python/nautilus-python-4.0

Reply via email to